terraform {
  required_providers {
    google = {
      version = "~> 5.34.0"
    }
    vault = {
      version = "~> 4.6.0"
    }
    random = {
      version = ">= 3"
    }
  }
  required_version = ">= 1.7.5"
}
provider "vault" {
  address          = var.vault_url
  skip_child_token = true
  skip_tls_verify  = true
  token            = var.vault_token
}